ServerEvents.recipes(event => {
  event.recipes.create_mechanical_extruder.extruding("create:veridium", ["minecraft:water", "minecraft:lava"]).catalyst("create:veridium"),
  event.recipes.create_mechanical_extruder.extruding("create:crimsite", ["minecraft:water", "minecraft:lava"]).catalyst("create:crimsite"),
  event.recipes.create_mechanical_extruder.extruding("create:asurine", ["minecraft:water", "minecraft:lava"]).catalyst("create:asurine"),
  event.recipes.create_mechanical_extruder.extruding("create:ochrum", ["minecraft:water", "minecraft:lava"]).catalyst("create:ochrum"),
  event.recipes.create_mechanical_extruder.extruding("kubejs:bauxite", ["minecraft:water", "minecraft:lava"]).catalyst("kubejs:bauxite"),
  event.recipes.create_mechanical_extruder.extruding("kubejs:galena", ["minecraft:water", "minecraft:lava"]).catalyst("kubejs:galena"),
  event.recipes.create_mechanical_extruder.extruding("minecraft:cobbled_deepslate", ["minecraft:cobblestone", "minecraft:lava"]),
  event.recipes.create_mechanical_extruder.extruding("minecraft:deepslate", ["minecraft:stone", "minecraft:lava"]),
  event.recipes.create_mechanical_extruder.extruding("minecraft:tuff", ["minecraft:water", "minecraft:lava"]).catalyst("minecraft:tuff"),
  event.recipes.create_mechanical_extruder.extruding("kubejs:dark_scoria", ["minecraft:water", "minecraft:lava"]).catalyst("kubejs:dark_scoria"),
  event.recipes.create_mechanical_extruder.extruding("kubejs:dolomite", ["minecraft:water", "minecraft:lava"]).catalyst("kubejs:dolomite"),
  event.recipes.create_mechanical_extruder.extruding("kubejs:weathered_limestone", ["minecraft:water", "minecraft:lava"]).catalyst("kubejs:weathered_limestone"),
  event.recipes.create_mechanical_extruder.extruding("kubejs:marble", ["minecraft:water", "minecraft:lava"]).catalyst("kubejs:marble"),
  event.recipes.create_mechanical_extruder.extruding("kubejs:biotite_block", ["minecraft:end_stone", "kubejs:hematite"]),
  event.recipes.create_mechanical_extruder.extruding("kubejs:hematite", ["minecraft:water", "minecraft:lava"]).catalyst("kubejs:hematite"),
  event.recipes.create_mechanical_extruder.extruding("kubejs:jasper", ["minecraft:lava", "minecraft:granite"]),
  event.recipes.create_mechanical_extruder.extruding("kubejs:shale", ["minecraft:packed_ice", "minecraft:stone"]),
  event.recipes.create_mechanical_extruder.extruding("kubejs:permafrost", ["minecraft:blue_ice", "minecraft:stone"]),
  event.recipes.create_mechanical_extruder.extruding("kubejs:bluestone", ["minecraft:stone", "minecraft:lapis_block"]),
  event.recipes.create_mechanical_extruder.extruding("minecraft:calcite", ["minecraft:water", "minecraft:lava"]).catalyst("minecraft:calcite"),
  event.recipes.create_mechanical_extruder.extruding("minecraft:diorite", ["minecraft:cobblestone", "minecraft:quartz_block"]),
  event.recipes.create_mechanical_extruder.extruding("minecraft:granite", ["minecraft:diorite", "minecraft:quartz_block"]),
  event.recipes.create_mechanical_extruder.extruding("minecraft:terracotta", ["minecraft:lava", "minecraft:clay"]),
  event.recipes.create_mechanical_extruder.extruding("minecraft:andesite", ["minecraft:cobblestone", "minecraft:diorite"]),
  event.recipes.create_mechanical_extruder.extruding("minecraft:dirt", ["minecraft:water", "minecraft:rooted_dirt"]).catalyst("minecraft:cobblestone"),
  event.recipes.create_mechanical_extruder.extruding("minecraft:netherrack", ["minecraft:cobblestone", "minecraft:magma_block"]).catalyst("minecraft:netherrack"),
  event.recipes.create_mechanical_extruder.extruding("minecraft:end_stone", ["minecraft:water", "minecraft:lava"]).catalyst("kubejs:ender_block"),
  event.recipes.create_mechanical_extruder.extruding("immersiveengineering:concrete", [Fluid.of("immersiveengineering:concrete"), Fluid.of("immersiveengineering:concrete")])

})
